{
  "name": "zd-app-web",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint",
    "upload:pro": "python upload.py /usr/share/nginx/html/zaojiao/ app_web pro",
    "upload:dev": "python upload.py /usr/share/nginx/html/ app_web dev"
  },
  "dependencies": {
    "@rive-app/canvas": "^1.1.4",
    "@types/qrcode": "^1.5.0",
    "@vant/use": "^1.5.2",
    "axios": "^1.3.4",
    "dayjs": "^1.11.7",
    "flicker-vue-hooks": "^1.0.10",
    "html2canvas": "^1.4.1",
    "lib-flexible": "^0.3.2",
    "normalize.css": "^8.0.1",
    "pinia": "^2.0.34",
    "postcss-pxtorem": "5.1.1",
    "qrcode": "^1.5.1",
    "vant": "^4.0.10",
    "vconsole": "^3.15.0",
    "vue": "^3.0.0",
    "vue-class-component": "^8.0.0-0",
    "vue-router": "^4.0.0-0",
    "weixin-js-sdk": "^1.6.0"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^4.18.0",
    "@typescript-eslint/parser": "^4.18.0",
    "@vue/cli-plugin-eslint": "~4.5.12",
    "@vue/cli-plugin-router": "~4.5.12",
    "@vue/cli-plugin-typescript": "~4.5.12",
    "@vue/cli-plugin-vuex": "~4.5.12",
    "@vue/cli-service": "~4.5.12",
    "@vue/compiler-sfc": "^3.0.0",
    "@vue/eslint-config-standard": "^5.1.2",
    "@vue/eslint-config-typescript": "^7.0.0",
    "eslint": "^6.7.2",
    "eslint-plugin-import": "^2.20.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.0",
    "eslint-plugin-vue": "^7.0.0",
    "lint-staged": "^9.5.0",
    "node-sass": "^4.12.0",
    "sass-loader": "^8.0.2",
    "typescript": "~4.1.5",
    "unplugin-vue-components": "^0.23.0"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
